/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.ProductAssessment;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class CostAndOverheadAllocation {
    public void makeCostAndOverheadAllocation() {
    }

    public boolean isCurrentlyApplicable() {
        return false;
    }

    public BigDecimal determineApplicableCostAllocation() {
        return new BigDecimal(0);
    }

    public BigDecimal determineApplicableOverheadAllocation() {
        return new BigDecimal(0);
    }

    public static Vector listCostAndOverheadAllocations() {
        return new Vector();
    }

    private int interval;
    private BigDecimal costAllocation;
    private BigDecimal overheadAllocation;
    private String justification;
    private int status;
}


